[postgis-tickets] [SCM] PostGIS branch master updated. 3.2.0-447-gcd088252f

git at osgeo.org git at osgeo.org
Tue Feb 1 04:29:11 PST 2022


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  cd088252f43d41ca36d391f4a54b4de0ef216c89 (commit)
       via  df6f2fc358a51803adbc059f152c0459f6a4dda6 (commit)
       via  1c6ff3a76bf43767f5ddbba042774d29aa91864c (commit)
      from  3b8adbe716e4d00c73d6ef69da9307bdd8a2dd81 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit cd088252f43d41ca36d391f4a54b4de0ef216c89
Author: Sandro Santilli <strk at kbt.io>
Date:   Tue Feb 1 13:27:41 2022 +0100

    [dronie] wait for tee background to complete before moving on

diff --git a/ci/dronie/postgis_regress.sh b/ci/dronie/postgis_regress.sh
index 56104fc76..f74054b94 100644
--- a/ci/dronie/postgis_regress.sh
+++ b/ci/dronie/postgis_regress.sh
@@ -48,5 +48,6 @@ CURRENTVERSION=`grep '^POSTGIS_' ${SRCDIR}/Version.config | cut -d= -f2 | paste
 mkfifo check.fifo
 tee check.log < check.fifo &
 ${SRCDIR}/utils/check_all_upgrades.sh -s ${CURRENTVERSION}! > check.fifo
+wait # for tee process to flush its buffers
 echo "-- Summary of upgrade tests --"
 egrep '(PASS|FAIL|SKIP)' check.log

commit df6f2fc358a51803adbc059f152c0459f6a4dda6
Author: Sandro Santilli <strk at kbt.io>
Date:   Tue Feb 1 09:00:16 2022 +0100

    [dronie] Test PG12
    
    Closes #5077

diff --git a/.drone-1.0.yml b/.drone-1.0.yml
index 51da3b5aa..5c45e1810 100644
--- a/.drone-1.0.yml
+++ b/.drone-1.0.yml
@@ -43,6 +43,13 @@ steps:
       - PGVER=11 sh ci/dronie/postgis_regress.sh
     depends_on: [ autogen ]
 
+  - name: build-12
+    image: *test-image
+    pull: never
+    commands:
+      - PGVER=12 sh ci/dronie/postgis_regress.sh
+    depends_on: [ autogen ]
+
   - name: build-docs
     image: *test-image
     pull: never

commit 1c6ff3a76bf43767f5ddbba042774d29aa91864c
Author: Sandro Santilli <strk at kbt.io>
Date:   Tue Feb 1 09:30:44 2022 +0100

    check_all_ugprades: skip unsupported upgrades
    
    References #5077

diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index 9e49c295d..905c7ceb8 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -57,6 +57,9 @@ semver_compare()
 BUILDDIR=$PWD
 EXTDIR=`pg_config --sharedir`/extension/
 CTBDIR=`pg_config --sharedir`/contrib/
+PGVER=`pg_config --version | awk '{print $2}'`
+
+echo "PostgreSQL version: ${PGVER}"
 
 cd $EXTDIR
 failures=0
@@ -79,6 +82,34 @@ failed()
   fi
 }
 
+compatible_upgrade()
+{
+  upgrade_path=$1
+  from=$2
+  to=$3
+
+  #echo "XXXX compatible_upgrade: upgrade_path=${upgrade_path}"
+  #echo "XXXX compatible_upgrade: from=${from}"
+  #echo "XXXX compatible_upgrade: to=${to}"
+
+  # only consider versions older than ${to_version_param}
+  cmp=`semver_compare "${from}" "${to}"`
+  if test $cmp -ge 0; then
+    echo "SKIP: upgrade $upgrade_path ($to is not newer than $from)"
+    return 1
+  fi
+  cmp=`semver_compare "${PGVER}" "11"`
+  if test $cmp -ge 0; then
+    cmp=`semver_compare "3.0" "${from}"`
+    if test $cmp -ge 0; then
+      echo "SKIP: upgrade $UPGRADE_PATH ($from < 3.0 which is required to run in PostgreSQL ${PGVER})"
+      return 1
+    fi
+  fi
+
+  return 0
+}
+
 for EXT in ${INSTALLED_EXTENSIONS}; do
   if test "${EXT}" = "postgis"; then
     REGDIR=${BUILDDIR}/regress
@@ -98,12 +129,7 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
     from_version="$fname"
     UPGRADE_PATH="${from_version}--${to_version_param}"
     UPGRADE_FILE="${EXT}--${from_version}--${to_version}.sql"
-    # only consider versions older than ${to_version}
-    cmp=`semver_compare "${from_version}" "${to_version}"`
-    if test $cmp -ge 0; then
-      echo "SKIP: upgrade $UPGRADE_PATH ($to_version is not newer than $from_version)"
-      continue
-    fi
+    compatible_upgrade ${UPGRADE_PATH} ${from_version} ${to_version} || continue
     if test -e ${UPGRADE_FILE}; then
       if expr $to_version_param : ':auto' >/dev/null; then
         echo "Testing ${EXT} upgrade $UPGRADE_PATH ($to_version)"
@@ -130,12 +156,7 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
       echo "SKIP: ${EXT} upgrade $UPGRADE_FILE is missing"
       continue
     fi
-    # only consider versions older than ${to_version_param}
-    cmp=`semver_compare "${majmin}" "${to_version}"`
-    if test $cmp -ge 0; then
-      echo "SKIP: upgrade $UPGRADE_PATH ($to_version_param is not newer than $majmin)"
-      continue
-    fi
+    compatible_upgrade ${UPGRADE_PATH} ${majmin} ${to_version} || continue
     if expr $to_version_param : ':auto' >/dev/null; then
       echo "Testing ${EXT} upgrade $UPGRADE_PATH ($to_version)"
     else

-----------------------------------------------------------------------

Summary of changes:
 .drone-1.0.yml               |  7 +++++++
 ci/dronie/postgis_regress.sh |  1 +
 utils/check_all_upgrades.sh  | 45 ++++++++++++++++++++++++++++++++------------
 3 files changed, 41 insertions(+), 12 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list